org.apache.cassandra.streaming

## Interface StreamingServiceMBean

- All Known Implementing Classes:
    StreamingService

      public interface StreamingServiceMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getIncomingFiles(java.lang.String host)` details about incoming streams
    `java.util.List<java.lang.String>` | `getOutgoingFiles(java.lang.String host)` outgoing streams
    `java.lang.String` | `getStatus()` What's currently happening wrt streaming.
    `java.util.Set<java.net.InetAddress>` | `getStreamDestinations()` hosts recieving outgoing streams
    `java.util.Set<java.net.InetAddress>` | `getStreamSources()` hosts sending incoming streams.

- - ### Method Detail

    - #### getStreamDestinations

          java.util.Set<java.net.InetAddress> getStreamDestinations()

      hosts recieving outgoing streams

    - #### getOutgoingFiles

          java.util.List<java.lang.String> getOutgoingFiles(java.lang.String host)
                                                            throws java.io.IOException

      outgoing streams
      Throws:
        `java.io.IOException`

    - #### getStreamSources

          java.util.Set<java.net.InetAddress> getStreamSources()

      hosts sending incoming streams.

    - #### getIncomingFiles

          java.util.List<java.lang.String> getIncomingFiles(java.lang.String host)
                                                            throws java.io.IOException

      details about incoming streams
      Throws:
        `java.io.IOException`

    - #### getStatus

          java.lang.String getStatus()

      What's currently happening wrt streaming.

Copyright © 2014 The Apache Software Foundation